com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedPopupListener

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<PopupListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedPopupListener

All Implemented Interfaces:
  CloseHandler<PopupPanel>, EventHandler

Enclosing class:
  ListenerWrapper<T>

    static class ListenerWrapper.WrappedPopupListener
    extends ListenerWrapper<PopupListener>
    implements CloseHandler<PopupPanel>

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `add(HasCloseHandlers<PopupPanel> source, PopupListener listener)`
`void` `onClose(CloseEvent<PopupPanel> event)` Called when `CloseEvent` is fired.
`static void` `remove(Widget eventSource, PopupListener listener)`

### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`baseRemove, getSource, setSource`

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    public static void add(HasCloseHandlers<PopupPanel> source,
                           PopupListener listener)

#### remove

    public static void remove(Widget eventSource,
                              PopupListener listener)

#### onClose

    public void onClose(CloseEvent<PopupPanel> event)

Description copied from interface: `CloseHandler`
Called when `CloseEvent` is fired.

Specified by:
  `onClose` in interface `CloseHandler<PopupPanel>`
Parameters:
  `event` - the `CloseEvent` that was fired